# Recovering Ethereum from a Celo Address

In this guide, steps are outlined to help you recover your [Ethereum](https://en.wikipedia.org/wiki/Ethereum#Addresses) if you accidentally transferred them to a [CELO (previously Celo Gold)](../overview.md#background-and-key-concepts).

## Prerequisites

This guide assumes that you have access to the following:

- The [24-word recovery phrase](https://kb.myetherwallet.com/en/security-and-privacy/what-is-a-mnemonic-phrase/) of your Celo address
- MyEtherWallet

{% hint style="danger" %}
There are [risks](https://www.cryptomathic.com/news-events/blog/cryptographic-key-management-the-risks-and-mitigations) associated with using a recovery phrase or a private key. Please do not share them with anyone else.
{% endhint %}

## Steps

Please follow the instructions below closely, because missteps can lead to errors or permanent loss of your tokens. To understand these steps, please read [What is Ethereum](https://ethereum.org/en/what-is-ethereum/) and [Celo Overview](https://docs.celo.org/overview).

### Recover your Celo address on Ethereum with Mnemonic

Recover your Celo address on the Ethereum network:
 
1. Download MyEtherWallet for Desktop (It is recommended to use the Desktop version over a webapp version)
2. Click on "Access My Wallet"
3. Click on "Access By Mnemonic Phrase"
4. Enter the 24-word recovery phrase for Celo
5. You should now have access to the same address on Ethereum, where you can recover the Ethereum you accidentally sent to your Celo address.
